package com.realnet.x2-b.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.x2-b.Entity.X3;
import com.realnet.x2-b.Services.X3Service ;






@RequestMapping(value = "/X3")
 @CrossOrigin("*") 
@RestController
public class X3Controller {
	@Autowired
	private X3Service Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/X3")
		  public X3 Savedata(@RequestBody X3 data) {
		X3 save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/X3/{id}")
	public  X3 update(@RequestBody X3 data,@PathVariable Integer id ) {
		X3 update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/X3/getall/page")
	public Page<X3> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<X3> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/X3")
	public List<X3> getdetails() {
		 List<X3> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/X3")
	public List<X3> getallwioutsec() {
		 List<X3> get = Service.getdetails();		
		return get;
}
@GetMapping("/X3/{id}")
	public  X3  getdetailsbyId(@PathVariable Integer id ) {
		X3  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/X3/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}